## e-charset

e-charset

## Functions

void | e_charset_add_to_g_menu ()
GtkListStore * | e_charset_create_list_store ()

## Types and Values

#define | E_CHARSET_COLUMN_LABEL
#define | E_CHARSET_COLUMN_VALUE

## Description

## Functions

### e_charset_add_to_g_menu ()

    void
    e_charset_add_to_g_menu (GMenu *menu,
                             const gchar *action_name);

Adds a new section with all predefined character sets into the `menu` , naming all of them as the `action_name` , only with different target, thus they will construct a radio menu.

This does not add a "Default" option.

#### Parameters

menu | a GMenu to add the character sets to |
action_name | what action name should be used |

Since: 3.56

### e_charset_create_list_store ()

    GtkListStore *
    e_charset_create_list_store (void);

Creates a new GtkListStore containing two columns, E_CHARSET_COLUMN_LABEL with the label of the charset, to be shown tin the GUI, and E_CHARSET_COLUMN_VALUE with the actual charset value.

#### Returns

newly created GtkListStore.

[transfer full]

Since: 3.56

## Types and Values

### E_CHARSET_COLUMN_LABEL

    #define E_CHARSET_COLUMN_LABEL 0

### E_CHARSET_COLUMN_VALUE

    #define E_CHARSET_COLUMN_VALUE 	1